# Copyright (C) 2008 Martin Albisetti

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Backup ARK

Scheduler Manager: this group of modules is in charge of controlling the
execution of backups and administer the user preferences when it comes
to what she/he want to backup and when.

This group includes:
    task:   this represents each job submitted by the user.
    watcher: manages Inotify descriptors and main loop

Database Administration: This module holds the data needed to create the
database.

It includes:
    createdb: In case a function fails to find the proper db it will create
    one.
    This module also take care of any administrative/maintenance task required
    by the database, connecting/disconnecting and subclassing the orm.


"""
